Loading...

Requirements for Application-Aware Backups

To support application-aware backups, you must ensure that the environment is correctly configured. You must also understand the requirements that apply for each hypervisor and for each supported application.

Workflow Requirements

To perform application-aware backups, the workflow engine must be installed with the CommServe system.

License Requirements

In addition to the license requirements for the Virtual Server Agent, application-aware backups require the following licenses:

  • Application backups that are performed as a part of a VSA application-aware backup require the Hardware Snapshot Enabler license.
  • Application-aware backups consume an Application Class Virtual license for each protected VM. Application-aware backups of virtual machines are counted against the Application Class Virtual license and do not count toward capacity usage or traditional application agent licenses.

Virtual Server Agent (VSA) Proxy

The VSA proxy used for an application-aware backup must meet the following requirements:

  • MediaAgent software must be installed.
  • For VMware, the proxy can be a VM or a physical machine.
  • For Hyper-V, the VSA proxy must be a Hyper-V server.

Important: A list of VSA proxies can be configured at the instance or subclient level, with the list of proxies at the subclient taking precedence. Multiple proxies can be added to provide load balancing and failover capabilities. Ensure that all of the proxies that are configured to be available for application-aware backups meet these requirements, including the requirements for streaming or IntelliSnap backups.

Upgrades

If the CommServe system has been upgraded to V11, VSA proxies must also be upgraded.

Last modified: 11/1/2018 9:14:55 PM